diff --git a/tests/workflow/test_all.py b/tests/workflow/test_all.py
index c1e3bdfaa..c60503ed5 100644
--- a/tests/workflow/test_all.py
+++ b/tests/workflow/test_all.py
@@ -4574,7 +4554,7 @@ def test_set_backoffice_field(http_requests, two_pubs):
     assert logged_error.exception_message.startswith('syntax error in Django template')
 
 
-def test_set_backoffice_field_map(http_requests, two_pubs):
+def test_set_backoffice_field_map(http_requests, pub):
     Workflow.wipe()
     FormDef.wipe()
     wf = Workflow(name='xxx')
@@ -4598,7 +4578,7 @@ def test_set_backoffice_field_map(http_requests, two_pubs):
     formdata.data = {'1': '42;10', '2': None}
     formdata.just_created()
     formdata.store()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
 
     item = SetBackofficeFieldsWorkflowStatusItem()
     item.parent = st1
@@ -4613,13 +4593,13 @@ def test_set_backoffice_field_map(http_requests, two_pubs):
     formdata = formdef.data_class().get(formdata.id)
     assert formdata.data.get('bo1') is None
 
-    assert two_pubs.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
 
     item.fields = [{'field_id': 'bo1', 'value': 'invalid value'}]
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert (
         logged_error.summary
         == "Failed to set Map field (bo1), error: invalid coordinates 'invalid value' (missing ;)"
@@ -4627,21 +4607,21 @@ def test_set_backoffice_field_map(http_requests, two_pubs):
     assert logged_error.formdata_id == str(formdata.id)
     assert logged_error.exception_class == 'SetValueError'
     assert logged_error.exception_message == "invalid coordinates 'invalid value' (missing ;)"
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
 
     item.fields = [{'field_id': 'bo1', 'value': 'XXX;YYY'}]
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == "Failed to set Map field (bo1), error: invalid coordinates 'XXX;YYY'"
     assert logged_error.formdata_id == str(formdata.id)
     assert logged_error.exception_class == 'SetValueError'
     assert logged_error.exception_message == "invalid coordinates 'XXX;YYY'"
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
 
 
-def test_set_backoffice_field_decimal(http_requests, two_pubs):
+def test_set_backoffice_field_decimal(http_requests, pub):
     Workflow.wipe()
     FormDef.wipe()
     wf = Workflow(name='xxx')
@@ -4664,7 +4644,7 @@ def test_set_backoffice_field_decimal(http_requests, two_pubs):
     formdata.data = {'1': '1000'}
     formdata.just_created()
     formdata.store()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
 
     item = SetBackofficeFieldsWorkflowStatusItem()
     item.parent = st1
@@ -4678,7 +4658,7 @@ def test_set_backoffice_field_decimal(http_requests, two_pubs):
     assert formdef.data_class().get(formdata.id).data['bo1'] == '1000'
 
 
-def test_set_backoffice_field_file(http_requests, two_pubs):
+def test_set_backoffice_field_file(http_requests, pub):
     Workflow.wipe()
     FormDef.wipe()
     wf = Workflow(name='xxx')
@@ -4707,7 +4687,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     formdata.data = {}
     formdata.just_created()
     formdata.store()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
     assert formdata.data['bo1'] is None
@@ -4723,7 +4703,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     formdata.just_created()
     formdata.store()
 
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.perform(formdata)
 
     formdata = formdef.data_class().get(formdata.id)
@@ -4738,7 +4718,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     formdata.just_created()
     formdata.store()
 
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.fields = [{'field_id': 'bo1', 'value': '{{form_var_file_raw}}'}]
     item.perform(formdata)
 
@@ -4752,7 +4732,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     formdata.just_created()
     formdata.store()
 
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.fields = [{'field_id': 'bo1', 'value': '{{form_var_file}}'}]
     item.perform(formdata)
 
@@ -4766,7 +4746,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     formdata.just_created()
     formdata.store()
 
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.fields = [{'field_id': 'bo1', 'value': '{{form_var_file|strip_metadata}}'}]
     item.perform(formdata)
 
@@ -4781,7 +4761,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     formdata.just_created()
     formdata.store()
 
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.fields = [{'field_id': 'bo1', 'value': '{{form_var_file|rename_file:"foobar.jpeg"}}'}]
     item.perform(formdata)
 
@@ -4794,7 +4774,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     formdata.just_created()
     formdata.store()
 
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.fields = [{'field_id': 'bo1', 'value': '{{form_var_file|rename_file:"foobar.$ext"}}'}]
     item.perform(formdata)
 
@@ -4808,7 +4788,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     formdata.just_created()
     formdata.store()
 
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
 
     item.fields = [{'field_id': 'bo1', 'value': '{{"xxx"|rename_file:"foobar.jpeg"}}'}]
     item.perform(formdata)
@@ -4816,7 +4796,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     assert 'bo1' not in formdata.data
 
     # check with a template string, into a string field
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.fields = [{'field_id': 'bo2', 'value': '{{form_var_file}}'}]
     item.perform(formdata)
 
@@ -4831,7 +4811,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     assert formdata.data.get('bo1') is None
 
     # check stripping metadata
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.fields = [
         {
             'field_id': 'bo1',
@@ -4845,7 +4825,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     formdata.data = {'00': upload}
     formdata.just_created()
     formdata.store()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
     assert formdata.data['bo1'].base_filename == 'new_test.jpeg'
@@ -4862,7 +4842,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     formdata.data = {'00': upload2}
     formdata.just_created()
     formdata.store()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
     assert formdata.data['bo1'].base_filename == 'new_test2.odt'
@@ -4871,7 +4851,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     assert formdata.data['bo1'].qfilename == formdata.data['00'].qfilename
 
     # check storing response as attachment
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item = WebserviceCallStatusItem()
     item.url = 'http://remote.example.net/xml'
     item.varname = 'xxx'
@@ -4884,7 +4864,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     assert attachment.content_type == 'text/xml'
 
     formdata = formdef.data_class().get(formdata.id)
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
     item = SetBackofficeFieldsWorkflowStatusItem()
     item.parent = st1
     item.fields = [{'field_id': 'bo1', 'value': '=attachments.xxx'}]
@@ -4935,14 +4915,14 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
         item.parent = st1
         item.fields = [{'field_id': 'bo1', 'value': value}]
 
-        two_pubs.loggederror_class.wipe()
+        pub.loggederror_class.wipe()
         item.perform(formdata)
 
         formdata = formdef.data_class().get(formdata.id)
         assert formdata.data['bo1'].base_filename == 'hello.txt'
         assert formdata.data['bo1'].get_content() == b'HELLO WORLD'
-        assert two_pubs.loggederror_class.count() == 1
-        logged_error = two_pubs.loggederror_class.select()[0]
+        assert pub.loggederror_class.count() == 1
+        logged_error = pub.loggederror_class.select()[0]
         assert logged_error.summary.startswith('Failed to convert')
         assert logged_error.formdata_id == str(formdata.id)
         assert logged_error.exception_class == 'ValueError'
@@ -4957,7 +4937,7 @@ def test_set_backoffice_field_file(http_requests, two_pubs):
     assert formdata.data.get('bo3') is None
 
 
-def test_set_backoffice_field_item(two_pubs):
+def test_set_backoffice_field_item(pub):
     Workflow.wipe()
     FormDef.wipe()
     wf = Workflow(name='xxx')
@@ -5075,7 +5055,7 @@ def test_set_backoffice_field_item(two_pubs):
     assert formdata.data.get('bo1_structured') is None
 
 
-def test_set_backoffice_field_card_item(two_pubs):
+def test_set_backoffice_field_card_item(pub):
     CardDef.wipe()
     Workflow.wipe()
     FormDef.wipe()
@@ -5163,7 +5143,7 @@ def test_set_backoffice_field_card_item(two_pubs):
     assert formdata.data['bo1_structured']['attr'] == 'attr1'
 
     # reset, with unknown value
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     formdata.data = {}
     formdata.store()
     item.fields = [{'field_id': 'bo1', 'value': 'xxx'}]
@@ -5172,8 +5152,8 @@ def test_set_backoffice_field_card_item(two_pubs):
     assert formdata.data.get('bo1') is None  # invalid value is not stored
     assert formdata.data.get('bo1_display') is None
     assert formdata.data.get('bo1_structured') is None
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary.startswith('Failed to convert')
 
     # reset, and get empty value
@@ -5187,7 +5167,7 @@ def test_set_backoffice_field_card_item(two_pubs):
     assert formdata.data.get('bo1_structured') is None
 
 
-def test_set_backoffice_field_items(two_pubs):
+def test_set_backoffice_field_items(pub):
     Workflow.wipe()
     FormDef.wipe()
     wf = Workflow(name='xxx')
@@ -5292,7 +5272,7 @@ def test_set_backoffice_field_items(two_pubs):
     formdata.data['1_structured'] = formdef.fields[0].store_structured_value(formdata.data, '1')
     formdata.just_created()
     formdata.store()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.feed(formdata)
 
     item = SetBackofficeFieldsWorkflowStatusItem()
     item.parent = st1
@@ -5312,8 +5292,8 @@ def test_set_backoffice_field_items(two_pubs):
     formdata.data['1_structured'] = formdef.fields[0].store_structured_value(formdata.data, '1')
     formdata.just_created()
     formdata.store()
-    two_pubs.substitutions.reset()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.reset()
+    pub.substitutions.feed(formdata)
 
     item.fields = [{'field_id': 'bo1', 'value': "{{form_var_items_raw}}"}]
     item.perform(formdata)
@@ -5354,13 +5334,13 @@ def test_set_backoffice_field_items(two_pubs):
     # using an invalid value
     formdata.data = {}
     formdata.store()
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     item = SetBackofficeFieldsWorkflowStatusItem()
     item.parent = st1
     item.fields = [{'field_id': 'bo1', 'value': "=Ellipsis"}]
     item.perform(formdata)
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert 'Failed to convert' in logged_error.summary
 
     # using a string with multiple values
@@ -5377,7 +5357,7 @@ def test_set_backoffice_field_items(two_pubs):
     assert {'id': 3, 'more': 'ccc', 'text': 'cc'} in formdata.data['bo1_structured']
 
 
-def test_set_backoffice_field_date(two_pubs):
+def test_set_backoffice_field_date(pub):
     Workflow.wipe()
     FormDef.wipe()
     wf = Workflow(name='xxx')
@@ -5426,18 +5406,18 @@ def test_set_backoffice_field_date(two_pubs):
     assert datetime.date(*formdata.data['bo1'][:3]) == datetime.date(2017, 3, 23)
 
     # invalid values => do nothing
-    assert two_pubs.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
     for value in ('plop', '={}', '=[]'):
         item = SetBackofficeFieldsWorkflowStatusItem()
         item.parent = st1
         item.fields = [{'field_id': 'bo1', 'value': value}]
 
-        two_pubs.loggederror_class.wipe()
+        pub.loggederror_class.wipe()
         item.perform(formdata)
         formdata = formdef.data_class().get(formdata.id)
         assert datetime.date(*formdata.data['bo1'][:3]) == datetime.date(2017, 3, 23)
-        assert two_pubs.loggederror_class.count() == 1
-        assert two_pubs.loggederror_class.select()[0].summary.startswith('Failed to convert')
+        assert pub.loggederror_class.count() == 1
+        assert pub.loggederror_class.select()[0].summary.startswith('Failed to convert')
 
     # None : empty date
     item = SetBackofficeFieldsWorkflowStatusItem()
@@ -5449,7 +5429,7 @@ def test_set_backoffice_field_date(two_pubs):
     assert formdata.data['bo1'] is None
 
 
-def test_set_backoffice_field_boolean(two_pubs):
+def test_set_backoffice_field_boolean(pub):
     Workflow.wipe()
     FormDef.wipe()
     wf = Workflow(name='xxx')
@@ -5493,7 +5473,7 @@ def test_set_backoffice_field_boolean(two_pubs):
         formdata.store()
 
 
-def test_set_backoffice_field_str_time_filter(two_pubs):
+def test_set_backoffice_field_str_time_filter(pub):
     Workflow.wipe()
     FormDef.wipe()
     wf = Workflow(name='xxx')
@@ -5536,7 +5516,7 @@ def test_set_backoffice_field_str_time_filter(two_pubs):
     formdata.store()
 
 
-def test_set_backoffice_field_block(two_pubs):
+def test_set_backoffice_field_block(pub):
     BlockDef.wipe()
     Workflow.wipe()
     FormDef.wipe()
@@ -5616,7 +5596,7 @@ def test_set_backoffice_field_block(two_pubs):
     assert formdata.data['bo2'] == formdata.data['1_display']
 
 
-def test_set_backoffice_field_block_template_tag(two_pubs):
+def test_set_backoffice_field_block_template_tag(pub):
     BlockDef.wipe()
     Workflow.wipe()
     FormDef.wipe()
@@ -5769,7 +5749,7 @@ def test_set_backoffice_field_block_template_tag(two_pubs):
     assert formdata.data['bo1_display'] == 'XNoneY'
 
 
-def test_set_backoffice_field_immediate_use(http_requests, two_pubs):
+def test_set_backoffice_field_immediate_use(http_requests, pub):
     Workflow.wipe()
     FormDef.wipe()
     wf = Workflow(name='xxx')
@@ -5799,8 +5779,8 @@ def test_set_backoffice_field_immediate_use(http_requests, two_pubs):
     item.fields = [
         {'field_id': 'bo1', 'value': '{{form_var_string}}'},
     ]
-    two_pubs.substitutions.reset()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.reset()
+    pub.substitutions.feed(formdata)
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
     assert formdata.data.get('bo1') == 'HELLO'
@@ -5808,8 +5788,8 @@ def test_set_backoffice_field_immediate_use(http_requests, two_pubs):
     item.fields = [
         {'field_id': 'bo1', 'value': 'WORLD'},
     ]
-    two_pubs.substitutions.reset()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.reset()
+    pub.substitutions.feed(formdata)
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
     assert formdata.data.get('bo1') == 'WORLD'
@@ -5818,8 +5798,8 @@ def test_set_backoffice_field_immediate_use(http_requests, two_pubs):
         {'field_id': 'bo1', 'value': 'X{{form_var_string}}X'},
         {'field_id': 'bo2', 'value': "Y{{form_var_backoffice_blah}}Y"},
     ]
-    two_pubs.substitutions.reset()
-    two_pubs.substitutions.feed(formdata)
+    pub.substitutions.reset()
+    pub.substitutions.feed(formdata)
     item.perform(formdata)
     formdata = formdef.data_class().get(formdata.id)
     assert formdata.data.get('bo1') == 'XHELLOX'
@@ -5874,16 +5854,16 @@ def test_workflow_jump_condition_migration(pub):
     assert reloaded_workflow.possible_status[0].items[0].condition == {'type': 'python', 'value': 'foobar'}
 
 
-def test_workflow_action_condition(two_pubs):
-    two_pubs._set_request(None)  # to avoid after jobs
+def test_workflow_action_condition(pub):
+    pub._set_request(None)  # to avoid after jobs
     workflow = Workflow(name='jump condition migration')
     st1 = workflow.add_status('Status1', 'st1')
     workflow.store()
 
-    role = two_pubs.role_class(name='bar1')
+    role = pub.role_class(name='bar1')
     role.store()
 
-    user = two_pubs.user_class()
+    user = pub.user_class()
     user.roles = [role.id]
     user.store()
 
@@ -5919,9 +5899,9 @@ def test_workflow_action_condition(two_pubs):
     choice.condition = {'type': 'python', 'value': 'form_var_foo == "foo"'}
     workflow.store()
 
-    with two_pubs.substitutions.temporary_feed(formdata1):
+    with pub.substitutions.temporary_feed(formdata1):
         assert FormDef.get(formdef.id).data_class().get(formdata1.id).get_actions_roles() == {role.id}
-    with two_pubs.substitutions.temporary_feed(formdata2):
+    with pub.substitutions.temporary_feed(formdata2):
         assert FormDef.get(formdef.id).data_class().get(formdata2.id).get_actions_roles() == set()
 
     assert len(FormDef.get(formdef.id).data_class().get_actionable_ids([role.id])) == 1
@@ -5936,12 +5916,12 @@ def test_workflow_action_condition(two_pubs):
     assert len(FormDef.get(formdef.id).data_class().get_actionable_ids([role.id])) == 2
 
     # bad condition
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     choice.condition = {'type': 'python', 'value': 'foobar == barfoo'}
     workflow.store()
     assert len(FormDef.get(formdef.id).data_class().get_actionable_ids([role.id])) == 0
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.occurences_count > 1  # should be 2... == 12 with pickle, 4 with sql
     assert logged_error.summary == 'Failed to evaluate condition'
     assert logged_error.exception_class == 'NameError'
@@ -6030,7 +6010,7 @@ def test_aggregation_email(pub, emails):
     )
 
 
-def test_call_external_workflow_with_evolution_linked_object(two_pubs):
+def test_call_external_workflow_with_evolution_linked_object(pub):
     FormDef.wipe()
     CardDef.wipe()
 
@@ -6126,7 +6106,7 @@ def test_call_external_workflow_with_evolution_linked_object(two_pubs):
     assert external_carddef.data_class().count() == 0
 
 
-def test_call_external_workflow_with_data_sourced_object(two_pubs, admin_user):
+def test_call_external_workflow_with_data_sourced_object(pub, admin_user):
     FormDef.wipe()
     CardDef.wipe()
 
@@ -6216,7 +6196,7 @@ def test_call_external_workflow_with_data_sourced_object(two_pubs, admin_user):
     perform_items([delete_action], formdata)
 
 
-def test_call_external_workflow_with_items_data_sourced_object(two_pubs, admin_user):
+def test_call_external_workflow_with_items_data_sourced_object(pub, admin_user):
     FormDef.wipe()
     CardDef.wipe()
 
@@ -6464,7 +6444,7 @@ def test_call_external_workflow_use_caller_variable(pub):
     assert card.data['bo0'] == 'foo@example.com'  # got called
 
 
-def test_call_external_workflow_manual_targeting(two_pubs):
+def test_call_external_workflow_manual_targeting(pub):
     FormDef.wipe()
     CardDef.wipe()
 
@@ -6560,7 +6540,7 @@ def test_call_external_workflow_manual_targeting(two_pubs):
     assert carddef.data_class().get(2).data['bo0'] is None
     assert carddef.data_class().get(3).data['bo0'] is None
     assert carddef.data_class().get(4).data['bo0'] is None
-    assert two_pubs.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
 
     # configure target
     update_action.target_id = '{{ form_var_string }}'  # == '1'
@@ -6579,8 +6559,8 @@ def test_call_external_workflow_manual_targeting(two_pubs):
     assert carddef.data_class().get(2).data['bo0'] is None
     assert carddef.data_class().get(3).data['bo0'] is None
     assert carddef.data_class().get(4).data['bo0'] is None
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'Could not find targeted "Data" object by id 421'
 
     # slug not or badly configured
@@ -6601,7 +6581,7 @@ def test_call_external_workflow_manual_targeting(two_pubs):
     assert carddef.data_class().get(4).data['bo0'] is None
 
 
-def test_form_update_after_backoffice_fields(sql_pub):
+def test_form_update_after_backoffice_fields(pub):
     wf = Workflow(name='wf with backoffice field')
     wf.backoffice_fields_formdef = WorkflowBackofficeFieldsFormDef(wf)
     wf.backoffice_fields_formdef.fields = [
@@ -6644,7 +6624,7 @@ def test_form_update_after_backoffice_fields(sql_pub):
     cur.close()
 
 
-def test_call_external_workflow_manual_queryset_targeting(two_pubs):
+def test_call_external_workflow_manual_queryset_targeting(pub):
     FormDef.wipe()
     CardDef.wipe()
 
@@ -6763,19 +6743,19 @@ def test_call_external_workflow_manual_queryset_targeting(two_pubs):
     )
     wf.store()
     perform_items([update_action], formdata)
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'Mismatch in target objects: expected "Other data", got "Data"'
 
     # mismatch in target, with formdata
-    two_pubs.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     update_action.target_id = (
         '{{cards|objects:"%s"|filter_by:"card_string"|filter_value:"Text 2"|first}}' % carddef.url_name
     )
     wf.store()
     perform_items([update_action], formdata)
-    assert two_pubs.loggederror_class.count() == 1
-    logged_error = two_pubs.loggederror_class.select()[0]
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
     assert logged_error.summary == 'Mismatch in target object: expected "Other data", got "Data"'
 
 
@@ -6808,7 +6788,7 @@ def test_conditional_jump_vs_tracing(pub):
     assert formdata.evolution[0].parts[-1].actions[1][1:] == ('jump', str(jump2.id))
 
 
-def test_remove_tracking_code(two_pubs):
+def test_remove_tracking_code(pub):
     formdef = FormDef()
     formdef.name = 'baz'
     formdef.enable_tracking_codes = True
